<?php
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require_once "conexion/conectar.php";
include "regresaSucursalesAdicional.php";

$conexion = new CONDB();
$conexion->conectar();

	$rfcReceptor=$_POST["reloadGridAfterSave"];
	$rfcEmisor=$_POST["id"];
	$tipoDocto=$_POST["id2"];
	$serie=$_POST["id3"];
	$folio=$_POST["id4"];
	$uuid=$_POST["id5"];
	$comentario_contabilidad="";
	$comentario_compras="";
	$seguimiento="";
	$fecha_pago="";
        $status_absa="";
        $asignado_a="";
        $status="";
	
if(isset($_POST["id"]))
{
		$query="Select tipo_proveedor,dias_pago from clienteweb where rfc_cliente='$rfcEmisor' LIMIT 1";
		
		$rquery=mysqli_query($conexion->CONEXION,$query);
		
		if(mysqli_num_rows($rquery) > 0){
			$temp= mysqli_fetch_array($rquery,MYSQLI_ASSOC);
			$tipo_proveedor=$temp['tipo_proveedor'];
			$dias_pago=$temp['dias_pago'];
		}
		if(!is_numeric($dias_pago)){
			$dias_pago="0";
		}
	
	$query="Select DATE_ADD(fechaDocto, INTERVAL $dias_pago DAY) as fecha_pago_calc,fecha_pago,asignado_a,fechaDocto,tipo_documento,adicional,comentario_compras,comentario_contabilidad,seguimiento,status_absa,comprobacion_prefijo,status from recibedoce where rfcEmisor='$rfcEmisor' and tipoDocto='$tipoDocto' and serie='$serie' and folio='$folio' and uuid='$uuid' LIMIT 1";
	
	
	$rquery=mysqli_query($conexion->CONEXION,$query);
	
	
	if(mysqli_num_rows($rquery) > 0){
		$temp=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
		$adicional=$temp['adicional'];
		$comentario_compras=$temp['comentario_compras'];
		$comentario_contabilidad=$temp['comentario_contabilidad'];
		$seguimiento=$temp['seguimiento'];
		$tipo_documento=$temp['tipo_documento'];
		$fecha_pago=$temp['fecha_pago'];
		$fechaDocto=$temp['fechaDocto'];
                $status_absa=$temp['status_absa'];
                $asignado_a=$temp['asignado_a'];
                $comprobacion_prefijo=$temp['comprobacion_prefijo'];
                $status=$temp['status'];
		if(is_null($fecha_pago) || trim($fecha_pago) == "0000-00-00"){
			$fecha_pago=$temp['fecha_pago_calc'];
		}
	}
	
	if(trim($tipo_documento) == ""){
		$tipo_documento=$tipo_proveedor;
	}
	
	$query="Select adicional from tdoctos_r t, receptor r where r.idReceptor=t.idReceptor and r.rfc='$rfcReceptor' and t.tipoDocto='$tipoDocto' LIMIT 1";
	
	
	$rquery=mysqli_query($conexion->CONEXION,$query);
	
	if(mysqli_num_rows($rquery) > 0){$temp2=mysqli_fetch_array($rquery,MYSQLI_ASSOC); $lblAdicional=$temp2['adicional'];}
	
	$query="Select seguimiento from seguimiento_negocio";
	
	
	$rqueryS=mysqli_query($conexion->CONEXION,$query);
	
	
	
}

if($_SESSION['tipo_portal'] == "VIMIFOS" && strtoupper(trim($temp['adicional'])) != "GASTOS")
	$asignado_a="";
	
	
?>
<!--<link rel="stylesheet" type="text/css" href="libs/jqueryEasy_1.2.5/themes/default.css"/>-->
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script language="javascript" src="libs/autocompletar/lib/jquery.ui.1.8.16.js"></script>
<link rel="stylesheet" type="text/css" href="libs/autocompletar/css/jquery.ui.css"/>
  <!--<link rel="stylesheet" type="text/css" href="libs/autocompletar/css/default.css"/>-->

<script>
$j_6(document).ready(function() {
	$j_6('#loading').hide();
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
        $j_6('#result').hide();
    }).ajaxStop(function() {
        $j_6('#result').fadeIn('slow');
		$j_6('#loading').hide();
    });
	
	$j_6('#form, #fat, #formAdicional').submit(function() {
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            /*beforeSend: function(){
                if(!validaUser())
                    return false;
            },*/
            success: function(data) {
					$j_6('#result').html(data);
					$j_6('#loading').hide();
            }
        })
        
        return false;
    });
	
	
	<?if($_SESSION['tipo_portal'] == "VIMIFOS"){?>
		$j_6('#adicional').change(function(){
			$j_6('#adicional').each(function(){
				var adicional = $j_6(this).val();
				var status = "<?=$status?>";
				var elAdicional=document.getElementById('asignado_a');
				
				if(adicional.toUpperCase() == "GASTOS"){
					if(status == "A" || status == "W"){
						elAdicional.value="<?=$asignado_a?>";
						elAdicional.readOnly=false;
					}
				}else{
					elAdicional.value="";
					elAdicional.readOnly=true;
				}
			});
		});
	<?}?>
    $j_6("#asignado_a").autocomplete({
                        source: "libs/autocompletar/buscar.php", 				/* este es el formulario que realiza la busqueda */
                        //source: arr, 				/* este es el formulario que realiza la busqueda */
                        minLength: 2,									/* le decimos que espere hasta que haya 2 caracteres escritos */
                        select: productoSeleccionado,	/* esta es la rutina que extrae la informacion del registro seleccionado */
                        focus: productoMarcado
                });
    <?if($_SESSION['esAdmin_p_prov_absa'] == "SI" || (strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) == "CONTABILIDAD" && $status_absa != "4")){?>
        $j_6('#fecha_pago').mask("9999-99-99",{placeholder:"_"});
   <?}?>
});
<?if($_SESSION['esAdmin_p_prov_absa'] == "SI" || (strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) == "CONTABILIDAD" && $status_absa != "4")){?>
$j_6(function() {
	$j_6( "#fecha_pago" ).datepicker({
		showOn: "button",
		buttonImage: "Imagenes/calendar16.png",
		buttonImageOnly: true
	});

	$j_6( "#fecha_pago" ).datepicker("option", "dateFormat", "yy-mm-dd");
        
		
                
	//$j_6( "#fecha_pago" ).datepicker("option", "showAnim", "clip");
});
<?}?>
function productoMarcado(event, ui)
{
        var nombre = ui.item.value;

        // no quiero que jquery maneje el texto del control porque no puede manejar objetos, 
        // asi que escribimos los datos nosotros y cancelamos el evento
        // (intenta comentando este codigo para ver a que me refiero)
        $j_6("#asignado_a").val(nombre.descripcion);
        event.preventDefault();
}

// tras seleccionar un producto, calculamos el importe correspondiente
function productoSeleccionado(event, ui)
{
        var nombre = ui.item.value;

        // no quiero que jquery maneje el texto del control porque no puede manejar objetos, 
        // asi que escribimos los datos nosotros y cancelamos el evento
        // (intenta comentando este codigo para ver a que me refiero)
        $j_6("#asignado_a").val(nombre.username);
        event.preventDefault();
}
function validaUser(){
    var user = $j_6("#asignado_a").val();
                if(user != ""){
                    $j_6.post('validaUser.php',{user: user},function(valido){
                                        if(valido == "false"){
                                            alert('El usuario ingresado no existe');
                                            $j_6("#asignado_a").val('<?=$asignado_a?>');
                                            return false;
                                        }
                                    });
                }
                return true;
}
function maximo(campo,limite){
if(campo.value.length>=limite){
campo.value=campo.value.substring(0,limite);
 }
}

function pulsar(e) {
  tecla = (document.all) ? e.keyCode : e.which;
  return (tecla != 13);
}
$j_6("#fecha_pago").val('<?=  substr($fecha_pago,0,10)?>');
</script>
<?$arrSucursales = explode("|",$sucursales);?>

<table>
		<tr>
		<td valign="top" class="txt_logindat" width="800" height="20"><div id="result"></div></td>
		</tr>
</table>
        
        <form target="_self" action="guardaAdicional.php" method="post" name="formAdicional" id="formAdicional" onkeypress = "return pulsar(event)">
			<INPUT TYPE="hidden" NAME="rfcEmisor" id="rfcEmisor" value="<?=$rfcEmisor?>">
			<INPUT TYPE="hidden" NAME="tipoDocto" id="tipoDocto" value="<?=$tipoDocto?>">
			<INPUT TYPE="hidden" NAME="serie" id="serie" value="<?=$serie?>">
			<INPUT TYPE="hidden" NAME="folio" id="folio" value="<?=$folio?>">
			<INPUT TYPE="hidden" NAME="uuid" id="uuid" value="<?=$uuid?>">
			<table class="td_general" bgcolor="#FFFFFF">
					<tr>
						<td valign="top" class="txt_logindat" align="center" width="200px"><?=strtoupper($lblAdicional)?></td>
						<td valign="top" class="txt_logindat">
							<?if($status_absa != "4" || $_SESSION['esAdmin_p_prov_absa'] == "SI"){?>
								<select style="width: 200px" name="adicional" id="adicional" class=":required Logers">
										<?for($i=0; $i < count($arrSucursales); $i++){?>
											<option value="<?=strtoupper($arrSucursales[$i])?>" <?if(strtoupper(trim($arrSucursales[$i])) == strtoupper(trim($adicional))){echo "selected";}?>><?=$arrSucursales[$i]?></option>
										<?}?>
								</select>
							<?}else{?>
								<input type="text" value="<?=$adicional?>" name="adicional" id="adicional" readOnly="true"  class="Logers"/>
							<?}?>
						</td>
					</tr>
                                        <tr>
                                            <td valign="top" class="txt_logindat" align="center" width="200px"><?=$_SESSION['Label_asignado_a']?></td>
                                            <td valign="top" class="txt_logindat">
                                                <input <?if($_SESSION['tipo_portal'] == "VIMIFOS"){
															if($_SESSION['esAdmin_p_prov_absa'] == "SI" && strtoupper($adicional) == "GASTOS"){
																if($status != "A" && $status != "W" || $comprobacion_prefijo != ""){
																	?>readOnly="true" <?}}else{?>readOnly="true"<?}}else{?>readOnly="true"<?}?>type="text" name="asignado_a" id="asignado_a" value="<?=$asignado_a?>" class="Logers" />
                                            </td>
                                        </tr>
                                            
				<?if($_SESSION["tipo_portal"] == "ABSA"){?>
				<tr>
					<td valign="top" class="txt_logindat" align="center">COMENTARIO COMPRAS:</td>
					<td valign="top" class="txt_logindat">
						<textarea  class="Logers" <?if(strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) != "COMPRAS" || $status_absa == "4"){?>readOnly="true"<?}?> cols="60" rows="6" id="comentario_compras" name="comentario_compras"><?=$comentario_compras?></textarea>
					</td>
				</tr>
				<tr>
					<td valign="top" class="txt_logindat" align="center">COMENTARIO CONTABILIDAD:</td>
					<td valign="top" class="txt_logindat">
						<textarea  class="Logers" <?if(strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) != "CONTABILIDAD" || $status_absa == "4"){?>readOnly="true"<?}?> cols="60" rows="6" id="comentario_contabilidad" name="comentario_contabilidad"><?=$comentario_contabilidad?></textarea>
					</td>
				</tr>
				<tr>
					<td valign="top" class="txt_logindat" align="center">SEGMENTO DE NEGOCIO:</td>
					<td valign="top" class="txt_logindat">
						<?if(strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) == "CONTABILIDAD" && $status_absa != "4"){?>
							<select style="width: 200px" name="seguimiento" id="seguimiento" class="Logers">
								<option value="">Seleccione el segmento de negocio</option>
								<?if(mysqli_num_rows($rqueryS) > 0){
									while($temp=mysqli_fetch_array($rqueryS,MYSQLI_ASSOC)){
								?>
										<option value="<?=$temp['seguimiento']?>" <?if(trim($temp['seguimiento']) == $seguimiento){echo "selected";}?>><?=$temp['seguimiento']?></option>
								<?}
								}?>
							</select>
						<?}else{?>
							<input type="text" name="seguimiento" id="seguimiento" readOnly="true" value="<?=$seguimiento?>" class="Logers"/>
						<?}?>
					</td>
				</tr>
				<tr>
					<td valign="top" class="txt_logindat" align="center">TIPO DE DOCUMENTO:</td>
					<td valign="top" class="txt_logindat">
						<?if($_SESSION['esAdmin_p_prov_absa'] == "SI" || ($status_absa != "4" && (strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) == "COMPRAS" || strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) == "CONTABILIDAD"))){?>
							<?if($_SESSION['tipo_portal'] == "ABSA"){?>
								<select style="width: 200px" name="tipo_documento" id="tipo_documento" class="Logers">
									<option value="">Seleccione el tipo de documento</option>
									<option value="COMPRAS" <?if(trim($tipo_documento) == "COMPRAS"){echo "selected";}?>>COMPRAS</option>
									<option value="GASTOS" <?if(trim($tipo_documento) == "GASTOS"){echo "selected";}?>>GASTOS</option>
								</select>
							<?}?>
						<?}else{?>
							<input type="text" name="tipo_documento" id="tipo_documento" readOnly="true" value="<?=$tipo_documento?>" class="Logers"/>
						<?}?>
					</td>
				</tr>
				<tr>
					<td valign="top" class="txt_logindat" align="center">FECHA PROBABLE PAGO:</td>
					<td valign="top" class="txt_logindat">
						<input <?if($_SESSION['esAdmin_p_prov_absa'] != "SI" || (strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) != "CONTABILIDAD" || $status_absa == "4")){?>readOnly="true"<?}?>type="text" name="fecha_pago" id="fecha_pago" value="<?=substr($fecha_pago,0,10)?>" class="Logers"/>
					</td>
				</tr>
                                <?}?>
				<tr>
					<td>
                                        <?if($_SESSION['esAdmin_p_prov_absa'] == "SI" || ((strtoupper(trim($_SESSION['tipo_usuario_ABSA'])) == "CONTABILIDAD" && $status_absa != "4") && $_SESSION["tipo_portal"] == "ABSA")){?>    
					<? echo btnNavegacion();?>
                                        <?}?>
					</td>
				</tr>
                                
			</table>
        </form>
<?
function btnNavegacion()
{
?>	
		<input type="submit" class="estilo_btn" value="GUARDAR"/>
<?
}